# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */  #
#Commands & Apps to be executed at launch

$scriptsDir = $HOME/.config/hypr/scripts
$UserScripts = $HOME/.config/hypr/UserScripts

$wallDIR=$HOME/Pictures/wallpapers
$lock = $scriptsDir/LockScreen.sh
$SwwwRandom = $UserScripts/WallpaperAutoChange.sh

# wallpaper stuff / More wallpaper options below
exec-once = swww query || swww init
#exec-once = $SwwwRandom $wallDIR # random wallpaper switcher every 30 minutes

# Startup
exec-once = dbus-update-activation-environment --systemd WAYLAND_DISPLAY XDG_CURRENT_DESKTOP
exec-once = systemctl --user import-environment WAYLAND_DISPLAY XDG_CURRENT_DESKTOP

# Polkit (Polkit Gnome / KDE)
exec-once = $scriptsDir/Polkit.sh

# starup apps
exec-once = waybar &
exec-once = nm-applet --indicator &
exec-once = swaync &
#exec-once = blueman-applet & 
#exec-once = rog-control-center &


#clipboard manager
exec-once = wl-paste --type text --watch cliphist store 
exec-once = wl-paste --type image --watch cliphist store

# Rainbow borders
#exec-once = $UserScripts/RainbowBorders.sh

# sway-idle with lock only
exec-once = swayidle -w timeout 900 '$lock'
# sway-idle with lock and sleep
#exec-once = swayidle -w timeout 900 '$lock' timeout 1200 'hyprctl dispatch dpms off' resume 'hyprctl dispatch dpms on' before-sleep '$lock'
# sway idle without lock
#exec-once = swayidle -w  timeout 900 'hyprctl dispatch dpms off' resume 'hyprctl dispatch dpms on'

## Here are list of features available but disabled by default
#exec-once = swww query || swww init && swww img $HOME/Pictures/wallpapers/mecha-nostalgia.png  # persistent wallpaper

#gnome polkit for nixos
#exec-once = $scriptsDir/Polkit-NixOS.sh

# xdg-desktop-portal-hyprland (should be auto starting. However, you can force to start)
#exec-once = $scriptsDir/PortalHyprland.sh
